"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactKonva = require("react-konva");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var HighlightShape = function HighlightShape(_ref) {
  var width = _ref.width,
      height = _ref.height,
      masks = _ref.masks,
      currentMask = _ref.currentMask;
  return _react["default"].createElement(_reactKonva.Shape, {
    x: 0,
    y: 0,
    width: width,
    height: height,
    sceneFunc: function sceneFunc(ctx, shape) {
      ctx.beginPath();
      ctx.moveTo(0, 0);
      ctx.lineTo(width, 0);
      ctx.lineTo(width, height);
      ctx.lineTo(0, height);
      ctx.lineTo(0, 0);
      ctx.closePath();
      masks.forEach(function (maskPoints) {
        var startPoint = maskPoints[0];
        ctx.moveTo(startPoint[0], startPoint[1]);
        maskPoints.forEach(function (point) {
          ctx.lineTo(point[0], point[1]);
        });
        ctx.closePath();
      });

      if (currentMask.startX != -1 && currentMask.endX !== -1) {
        ctx.moveTo(currentMask.startX, currentMask.startY);
        ctx.lineTo(currentMask.startX, currentMask.endY);
        ctx.lineTo(currentMask.endX, currentMask.endY);
        ctx.lineTo(currentMask.endX, currentMask.startY);
        ctx.lineTo(currentMask.startX, currentMask.startY);
        ctx.closePath();
      }

      ctx.fillStyle = 'rgba(0,0,0,0.3)';
      ctx.strokeStyle = 'rgba(0.5,0.5,0.5,0.5)';
      ctx.lineWidth = 1;
      ctx.fill();
      ctx.stroke();
    }
  });
};

var _default = HighlightShape;
exports["default"] = _default;